be.fgov.ehealth.rn.personservice.core.v1

## Class PhoneticBirth

- java.lang.Object
- - be.fgov.ehealth.rn.personservice.core.v1.PhoneticBirth

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2022-12-09T11:16:59+01:00",
                 comments="JAXB RI v2.2.11")
      public class PhoneticBirth
      extends Object
      implements Serializable

  Java class for PhoneticBirth complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="PhoneticBirth">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="BirthDate" type="{urn:be:fgov:ehealth:rn:commons:business:v1}IncompleteDateType"/>
               <element name="Variation" minOccurs="0">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}unsignedShort">
                   </restriction>
                 </simpleType>
               </element>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PhoneticBirth()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getBirthDate()` Gets the value of the birthDate property.
    `Integer` | `getVariation()` Gets the value of the variation property.
    `void` | `setBirthDate(String value)` Sets the value of the birthDate property.
    `void` | `setVariation(Integer value)` Sets the value of the variation property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PhoneticBirth

          public PhoneticBirth()

  - ### Method Detail

    - #### getBirthDate

          public String getBirthDate()

      Gets the value of the birthDate property.
      Returns:
        possible object is `String`

    - #### setBirthDate

          public void setBirthDate(String value)

      Sets the value of the birthDate property.
      Parameters:
        `value` - allowed object is `String`

    - #### getVariation

          public Integer getVariation()

      Gets the value of the variation property.
      Returns:
        possible object is `Integer`

    - #### setVariation

          public void setVariation(Integer value)

      Sets the value of the variation property.
      Parameters:
        `value` - allowed object is `Integer`

Connector Packaging PERSPODOLOGIST 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.